[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# ESQLDatabaseError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

SQL database error class.

## Declaration

Source position: sqldb.pp line 117

`type ESQLDatabaseError = class(EDatabaseError)`
`public`
`ErrorCode: Integer;` |  | SQL engine error code
`SQLState: string;` |  | ANSI SQL error state
`constructor CreateFmt(); overload;` |  | Create a new instance of ESQLDatabaseError
`end;`

## Inheritance

`ESQLDatabaseError` |  | SQL database error class.
`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`

## Description

ESQLDatabaseError is raised by SQLDB routines if the underlying engine raises an error. The error code returned by the engine is contained in ESQLDatabaseError.ErrorCode, and an Ansi SQL compliant SQL state can be passed in ESQLDatabaseError.SQLState

## See also

db.EDatabaseError |  | Base class for all database-related errors
ESQLDatabaseError.SQLState |  | ANSI SQL error state
ESQLDatabaseError.ErrorCode |  | SQL engine error code